Package net.shibboleth.saml.relyingparty

# Class RelyingPartyConfigurationSupport

java.lang.Object
net.shibboleth.saml.relyingparty.RelyingPartyConfigurationSupport

public final class RelyingPartyConfigurationSupport extends Object
Support functions for building `RelyingPartyConfiguration` objects with SAML-aware activation conditions.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`RelyingPartyConfigurationSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static BasicRelyingPartyConfiguration`
`byGroup(Collection<String> groupNames, MetadataResolver resolver)`
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on one or more `EntitiesDescriptor` groups, and optionally via `AffiliationDescriptor` lookup.
`static BasicRelyingPartyConfiguration`
`byMappedTag(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean matchAll)`
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on a `MappedEntityAttributesPredicate`.
`static BasicRelyingPartyConfiguration`
`byName(Collection<String> relyingPartyIds)`
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on one or more relying party IDs.
`static BasicRelyingPartyConfiguration`
`byTag(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean matchAll)`
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on an `EntityAttributesPredicate`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelyingPartyConfigurationSupport

private RelyingPartyConfigurationSupport()
Constructor.

## Method Details

### byName

@Nonnull public static BasicRelyingPartyConfiguration byName(@Nonnull Collection<String> relyingPartyIds)
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on one or more relying party IDs.

If a single ID is supplied, then the ID is also set as the identifier for the configuration.

Parameters:
  `relyingPartyIds` - the relying parties for which the configuration should be active
Returns:
  a default-constructed configuration with the appropriate condition set

### byGroup

@Nonnull public static BasicRelyingPartyConfiguration byGroup(@Nonnull Collection<String> groupNames, @Nullable MetadataResolver resolver)
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on one or more `EntitiesDescriptor` groups, and optionally via `AffiliationDescriptor` lookup.

Parameters:
  `groupNames` - the group names
  `resolver` - optional metadata source for affiliation lookup
Returns:
  a default-constructed configuration with the appropriate condition set

### byTag

@Nonnull public static BasicRelyingPartyConfiguration byTag(@Nonnull Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean matchAll)
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on an `EntityAttributesPredicate`.

Parameters:
  `candidates` - the candidate rules
  `trim` - true iff tag values in metadata should be trimmed before comparison
  `matchAll` - true iff all the candidate rules are required to match
Returns:
  a default-constructed configuration with the appropriate condition set

### byMappedTag

@Nonnull public static BasicRelyingPartyConfiguration byMappedTag(@Nonnull Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean matchAll)
A shorthand method for constructing a `BasicRelyingPartyConfiguration` with an activation condition based on a `MappedEntityAttributesPredicate`.

Parameters:
  `candidates` - the candidate rules
  `trim` - true iff tag values in metadata should be trimmed before comparison
  `matchAll` - true iff all the candidate rules are required to match
Returns:
  a default-constructed configuration with the appropriate condition set